import java.awt.*; 
import java.applet.Applet; 

public class WebCamClient extends Applet { 
	private Image mImg;
	private int mIsStarted = 1;
	private int mInterval = 10000; // in millisec
	private String mFile = "webcam.jpg";

	public void start() { 
		mIsStarted = 1; 
	} 

	public void stop() { 
		mIsStarted = 0; 
	} 

	public void paint ( Graphics g ) { 
		mImg = getImage( getDocumentBase(),mFile); 
		MediaTracker mt = new MediaTracker(this); 
		mImg = getImage( getDocumentBase(),mFile); 
		mt.addImage(mImg,0); 
		try { 
			showStatus("loading ..."); 
			mt.waitForAll(); 
		} 
		catch (InterruptedException e){ 
			System.err.println("ERROR: "+e); 
		} 
		g.drawImage( mImg,0,0,this); 
		mImg.flush(); 

		showStatus("Showing every "+mInterval+" milliseconds"); 

		if ( mIsStarted == 1 ) { 			
			repaint();
			//repaint(mInterval); // this does not guarantee delay

			// Wait for next cycle
			try {
				Thread.sleep(mInterval);
			}
			catch (InterruptedException e){ 
				System.err.println("ERROR: "+e); 
			}
		} 
	} 

	public void update(Graphics g) { 
		paint(g); 
	} 
}
